scriptName "showUnitMapMarkers";

if (missionNamespace getVariable ["TEST_UnitMapMarkersShown",false]) exitWith {};

TEST_UnitMapMarkersShown = true;

TEST_ShowFriendlyMapMarkers = (difficultyOption "mapContentFriendly" == 1);
TEST_ShowEnemyMapMarkers = (difficultyOption "mapContentEnemy" == 1);

if (is3DENPreview) then
{
	TEST_ShowFriendlyMapMarkers = true;
	TEST_ShowEnemyMapMarkers = true;
};

if ((!TEST_ShowFriendlyMapMarkers) && (!TEST_ShowEnemyMapMarkers)) exitWith {};

disableMapIndicators [true,true,difficultyOption "mapContentMines" == 0,difficultyOption "tacticalPing" == 0];

TEST_MapDisplays = [[12,51]];

TEST_ColorWEST = getArray (configFile/"CfgMarkerColors"/"ColorWEST"/"color");
TEST_ColorEAST = getArray (configFile/"CfgMarkerColors"/"ColorEAST"/"color");
TEST_ColorGUER = getArray (configFile/"CfgMarkerColors"/"ColorGUER"/"color");
TEST_ColorCIV = getArray (configFile/"CfgMarkerColors"/"ColorCIV"/"color");
TEST_ColorUNKNOWN = getArray (configFile/"CfgMarkerColors"/"ColorUNKNOWN"/"color");

TEST_ColorBlack = getArray (configFile/"CfgMarkerColors"/"ColorBlack"/"color");
TEST_ColorBlue = getArray (configFile/"CfgMarkerColors"/"ColorBlue"/"color");
TEST_ColorGreen = getArray (configFile/"CfgMarkerColors"/"ColorGreen"/"color");
TEST_ColorOrange = getArray (configFile/"CfgMarkerColors"/"ColorOrange"/"color");
TEST_ColorRed = getArray (configFile/"CfgMarkerColors"/"ColorRed"/"color");
TEST_ColorWhite = getArray (configFile/"CfgMarkerColors"/"ColorWhite"/"color");
TEST_ColorYellow = getArray (configFile/"CfgMarkerColors"/"ColorYellow"/"color");
TEST_ColorPink = getArray (configFile/"CfgMarkerColors"/"ColorPink"/"color");
TEST_ColorGrey = getArray (configFile/"CfgMarkerColors"/"ColorGrey"/"color");
TEST_ColorBrown = getArray (configFile/"CfgMarkerColors"/"ColorBrown"/"color");
TEST_ColorKhaki = getArray (configFile/"CfgMarkerColors"/"ColorKhaki"/"color");

waitUntil
{
	sleep 0.1;

	missionNamespace getVariable ["TEST_MissionStart",true]
};

{
	_x spawn
	{
		_displayIdd = _this select 0;
		_displayIdc = _this select 1;

		_ctrlAEH_Draw_Index = ((findDisplay _displayIdd) displayCtrl _displayIdc) getVariable ["TEST_UnitMapMarkers_ctrlAEH_Draw_Index",-1];

		if (_ctrlAEH_Draw_Index != -1) then
		{
			continue
		};

		while {true} do
		{

			waitUntil
			{
				sleep 0.1;

				(!(isNull ((findDisplay _displayIdd) displayCtrl _displayIdc)))
			};

			_ctrlAEH_Draw_Index = ((findDisplay _displayIdd) displayCtrl _displayIdc) ctrlAddEventHandler ["Draw",
			{
				if (isGamePaused) exitWith {};

				if (!(isGameFocused)) exitWith {};

				[_this] call TEST_drawUnitVehicleIcons;
			}];

			if (_ctrlAEH_Draw_Index != -1) then
			{
				((findDisplay _displayIdd) displayCtrl _displayIdc) setVariable ["TEST_UnitMapMarkers_ctrlAEH_Draw_Index",_ctrlAEH_Draw_Index];
			};

			waitUntil
			{
				sleep 0.1;

				(isNull ((findDisplay _displayIdd) displayCtrl _displayIdc))
			};
		};
	};
} forEach TEST_MapDisplays;
